Knowledge Retrieval - Retrieve
知识库从备份存储中获取相关数据。
POST {endpoint}/knowledgebases('{knowledgeBaseName}')/retrieve?api-version=2026-05-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜索服务的终结点 URL。 |
|
knowledge
|
path | True |
string |
知识库的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| Accept |
接受(Accept)首部。 |
||
| x-ms-query-source-authorization |
string |
标识正在执行查询的用户的令牌。 此令牌用于对文档实施安全限制。 |
|
| x-ms-client-request-id |
string (uuid) |
请求的不透明、全局唯一的客户端生成的字符串标识符。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| includeActivity |
boolean |
指示检索结果应包括活动信息。 |
| intents | KnowledgeRetrievalIntent[]: |
无需模型查询规划即可执行的预期查询列表。 |
| knowledgeSourceParams |
KnowledgeSourceParams[]:
|
知识源的运行时参数列表。 |
| maxOutputDocuments |
integer (int32) |
限制输出中最大文档数量。 |
| maxOutputSize |
integer (int32) |
限制输出中内容的最大大小。 |
| maxOutputSizeInTokens |
integer (int32) |
限制输出中内容的最大大小。 |
| maxRuntimeInSeconds |
integer (int32) |
最大运行时间(以秒为单位)。 |
| messages |
聊天消息样式输入的列表。 |
|
| outputMode |
此检索的输出配置。 |
|
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
检索推理努力配置。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功取回。 |
|
| Other Status Codes |
部分提取反应。 |
|
| Other Status Codes |
未预期的错误响应。 |
安全性
api-key
类型:
apiKey
在:
header
OAuth2Auth
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
作用域
| 名称 | 说明 |
|---|---|
| https://search.azure.com/.default |
示例
|
Knowledge |
|
Knowledge |
KnowledgeBaseRetrieve
示例请求
POST https://previewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-05-01-preview
{
"messages": [
{
"role": "user",
"content": [
{
"text": "hello world",
"type": "text"
}
]
}
],
"maxRuntimeInSeconds": 60,
"maxOutputSize": 100000,
"maxOutputDocuments": 50,
"retrievalReasoningEffort": {
"kind": "low"
},
"includeActivity": true,
"outputMode": "answerSynthesis",
"knowledgeSourceParams": [
{
"filterAddOn": "foo eq bar",
"knowledgeSourceName": "ks-preview-test",
"includeReferences": true,
"includeReferenceSourceData": true,
"alwaysQuerySource": false,
"failOnError": false,
"rerankerThreshold": 2.1,
"kind": "searchIndex"
}
]
}
示例响应
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 10
},
{
"type": "searchIndex",
"id": 1,
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"warning": "6 additional documents were dropped because rerankerThreshold filtered them out during reranking. Adjust the threshold if higher recall is desired.",
"searchIndexArguments": {
"search": "hello world",
"filter": "foo eq bar",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": [],
"semanticConfigurationName": "testconfig"
}
},
{
"type": "searchIndex",
"id": 2,
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world two",
"filter": "foo eq bar",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": [],
"semanticConfigurationName": "testconfig"
}
},
{
"type": "agenticReasoning",
"id": 3,
"retrievalReasoningEffort": {
"kind": "low"
},
"reasoningTokens": 74
},
{
"type": "modelAnswerSynthesis",
"id": 4,
"inputTokens": 664,
"outputTokens": 1328,
"elapsedMs": 10
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 1,
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
},
"rerankerScore": 3.5,
"docKey": "myDocKey1"
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 1,
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
},
"rerankerScore": 2.7,
"docKey": "myDocKey2"
}
],
"responseSensitivityLabelInfo": {
"displayName": "Confidential",
"sensitivityLabelId": "00000000-0000-0000-0000-000000000001",
"toolTip": "This content is confidential.",
"priority": 2,
"color": "#FF0000",
"isEncrypted": false
}
}
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 10
},
{
"type": "searchIndex",
"id": 1,
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world",
"filter": "foo eq bar",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": [],
"semanticConfigurationName": "testconfig"
}
},
{
"type": "web",
"id": 2,
"knowledgeSourceName": "ks-preview-web",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 10,
"elapsedMs": 2345,
"error": {
"code": "403",
"message": "The error message",
"details": [],
"additionalInfo": [
{
"type": "SomeErrorType",
"info": {
"someProperty": "Some value"
}
}
]
}
},
{
"type": "agenticReasoning",
"id": 3,
"retrievalReasoningEffort": {
"kind": "low"
},
"reasoningTokens": 74
},
{
"type": "modelAnswerSynthesis",
"id": 4,
"inputTokens": 664,
"outputTokens": 1328,
"elapsedMs": 10
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 1,
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
},
"rerankerScore": 3.5,
"docKey": "myDocKey1"
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 1,
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
},
"rerankerScore": 2.7,
"docKey": "myDocKey2"
}
]
}
KnowledgeBaseRetrieveWithIntents
示例请求
POST https://previewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-05-01-preview
{
"intents": [
{
"search": "foo",
"type": "semantic"
}
],
"maxRuntimeInSeconds": 60,
"maxOutputSize": 100000,
"maxOutputDocuments": 50,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"includeActivity": true,
"outputMode": "extractiveData",
"knowledgeSourceParams": [
{
"filterAddOn": "foo eq bar",
"knowledgeSourceName": "ks-preview-test",
"includeReferences": true,
"includeReferenceSourceData": true,
"alwaysQuerySource": true,
"failOnError": true,
"rerankerThreshold": 2.1,
"kind": "searchIndex"
}
]
}
示例响应
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "searchIndex",
"id": 0,
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "foo",
"filter": "foo eq bar",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": [],
"semanticConfigurationName": "testconfig"
}
},
{
"type": "agenticReasoning",
"id": 1,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"reasoningTokens": 37
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 0,
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
},
"rerankerScore": 3.5,
"docKey": "myDocKey1"
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 0,
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
},
"rerankerScore": 2.7,
"docKey": "myDocKey2"
}
]
}
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "searchIndex",
"id": 0,
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "foo",
"filter": "foo eq bar",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": [],
"semanticConfigurationName": "testconfig"
}
},
{
"type": "web",
"id": 1,
"knowledgeSourceName": "ks-preview-web",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 10,
"elapsedMs": 2345,
"error": {
"code": "403",
"message": "The error message",
"details": [],
"additionalInfo": [
{
"type": "SomeErrorType",
"info": {
"someProperty": "Some value"
}
}
]
}
},
{
"type": "agenticReasoning",
"id": 2,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"reasoningTokens": 37
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 0,
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
},
"rerankerScore": 3.5,
"docKey": "myDocKey1"
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 0,
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
},
"rerankerScore": 2.7,
"docKey": "myDocKey2"
}
]
}
定义
Accept
接受(Accept)首部。
| 值 | 说明 |
|---|---|
| application/json;odata.metadata=minimal |
AzureBlobKnowledgeSourceParams
指定 Azure Blob 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
azure |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
附加信息。 |
|
| type |
string |
其他信息类型。 |
ErrorDetail
错误详情
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误的附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详情。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误的目标。 |
ErrorResponse
所有 Azure 资源管理器 API 的常见错误响应,以返回失败操作的错误详细信息。 (这也遵循 OData 错误响应格式)。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
FabricDataAgentKnowledgeSourceParams
指定 Fabric Data Agent 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
fabric |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
FabricOntologyKnowledgeSourceParams
指定 Fabric 本体知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
fabric |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
FileKnowledgeSourceParams
指定文件知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
file |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
ImageServingStatistics
关于检索活动中图像服务的统计数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| imagesRetrieved |
integer (int32) |
从资源商店检索的图片数量。 |
| imagesSentToModel |
integer (int32) |
发送到下游模型的图像数量。 |
| totalImageSizeBytes |
integer (int64) |
以字节计,发送给模型的图像总大小。 |
| verbalizationUsed |
boolean |
表示是否使用了图像语言化而非直接图像传递。 |
IndexedOneLakeKnowledgeSourceParams
指定索引 OneLake 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
indexed |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
IndexedSharePointKnowledgeSourceParams
指定索引 SharePoint 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
indexed |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
IndexedSqlKnowledgeSourceParams
指定索引SQL知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
indexed |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
KnowledgeBaseActivityRecordType
活动记录的类型。
| 值 | 说明 |
|---|---|
| searchIndex |
搜索索引检索活动。 |
| azureBlob |
Azure Blob retrieval activity. |
| indexedSharePoint |
索引的SharePoint检索活动。 |
| indexedOneLake |
索引 OneLake 检索活动。 |
| web |
网络检索活动。 |
| remoteSharePoint |
远程SharePoint检索活动。 |
| workIQ |
WorkIQ 检索活动。 |
| fabricDataAgent |
Fabric 数据代理检索活动。 |
| fabricOntology |
Fabric 本体检索活动。 |
| mcpServer |
MCP服务器检索活动。 |
| file |
文件检索活动。 |
| indexedSql |
索引SQL检索活动。 |
| modelQueryPlanning |
LLM 查询规划活动。 |
| modelAnswerSynthesis |
LLM 答案综合活动。 |
| modelWebSummarization |
LLM 网络摘要活动。 |
| agenticReasoning |
能动推理活动。 |
KnowledgeBaseAgenticReasoningActivityRecord
表示代理推理活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| reasoningTokens |
integer (int32) |
代理推理的输入标记数。 |
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
检索推理努力配置。 |
| type |
string:
agentic |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseAzureBlobActivityArguments
表示运行 Azure Blob 检索活动时使用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询 blob 内容的搜索字符串。 |
KnowledgeBaseAzureBlobActivityRecord
表示 Azure Blob 检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| azureBlobArguments |
检索活动的 azure blob 参数。 |
|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
azure |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseAzureBlobReference
表示 Azure Blob 存储文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| blobUrl |
string |
引用的 blob URL。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| searchSensitivityLabelInfo |
参考的敏感性标签信息。 |
|
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
azure |
引用的类型。 |
KnowledgeBaseErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
附加信息。 |
|
| type |
string |
其他信息类型。 |
KnowledgeBaseErrorDetail
错误详情。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误的附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详情。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误的目标。 |
KnowledgeBaseFabricDataAgentActivityArguments
表示 Fabric Data Agent 检索活动所使用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询 Fabric 数据代理知识源的搜索字符串。 |
KnowledgeBaseFabricDataAgentActivityRecord
表示 Fabric Data Agent 检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| fabricDataAgentArguments |
检索活动的 Fabric 数据代理参数。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
fabric |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseFabricDataAgentReference
表示Fabric数据代理文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| dataAgentId |
string |
Fabric 数据代理 ID。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
fabric |
引用的类型。 |
| workspaceId |
string |
Fabric工作区 ID。 |
KnowledgeBaseFabricOntologyActivityArguments
代表 Fabric 本体检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询 Fabric 本体知识源的搜索字符串。 |
KnowledgeBaseFabricOntologyActivityRecord
表示 Fabric 本体检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| fabricOntologyArguments |
检索活动的Fabric本体论证。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
fabric |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseFabricOntologyReference
表示 Fabric 本体文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| id |
string |
引用的 ID。 |
| ontologyId |
string |
工作区内的本体ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
fabric |
引用的类型。 |
| workspaceId |
string |
Fabric工作区 ID。 |
KnowledgeBaseFileActivityArguments
表示文件检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询文件内容的搜索字符串。 |
KnowledgeBaseFileActivityRecord
表示文件检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| fileArguments |
文件为检索活动提供了论据。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
file |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseFileReference
表示文件文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| docName |
string |
参考文献的名称。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
file |
引用的类型。 |
KnowledgeBaseImageContent
图片内容。
| 名称 | 类型 | 说明 |
|---|---|---|
| url |
string (uri) |
图像的 URL。 |
KnowledgeBaseIndexedOneLakeActivityArguments
表示索引 OneLake 检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询索引 OneLake 内容的搜索字符串。 |
KnowledgeBaseIndexedOneLakeActivityRecord
表示一个索引化的OneLake检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| indexedOneLakeArguments |
索引的OneLake检索活动论证。 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
indexed |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseIndexedOneLakeReference
表示一个索引的OneLake文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| docUrl |
string |
用于参考的文档 URL。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| searchSensitivityLabelInfo |
参考的敏感性标签信息。 |
|
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
indexed |
引用的类型。 |
KnowledgeBaseIndexedSharePointActivityArguments
表示索引后的 SharePoint 检索活动所使用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询已索引的SharePoint内容的搜索字符串。 |
KnowledgeBaseIndexedSharePointActivityRecord
表示一个索引化的 SharePoint 检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| indexedSharePointArguments |
索引的SharePoint参数用于检索活动。 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
indexed |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseIndexedSharePointReference
表示一个索引化的SharePoint文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| docUrl |
string |
用于参考的文档 URL。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| searchSensitivityLabelInfo |
参考的敏感性标签信息。 |
|
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
indexed |
引用的类型。 |
KnowledgeBaseIndexedSqlActivityArguments
表示执行索引SQL检索活动时所使用参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询索引SQL内容的搜索字符串。 |
KnowledgeBaseIndexedSqlActivityRecord
表示一个索引的SQL检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| indexedSqlArguments |
索引的SQL参数用于检索活动。 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
indexed |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseIndexedSqlReference
代表Azure SQL文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| docUrl |
string |
用于参考的文档 URL。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
indexed |
引用的类型。 |
KnowledgeBaseMcpServerActivityArguments
表示MCP服务器检索活动所使用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| toolArguments |
参数传递给MCP服务器工具。 |
|
| toolName |
string |
用于检索活动的MCP服务器工具名称。 |
KnowledgeBaseMcpServerActivityRecord
表示MCP服务器检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| mcpServerArguments |
MCP服务器为检索活动提供参数。 |
|
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
mcp |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseMcpServerReference
表示MCP服务器文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| title |
string |
MCP 服务器工具的标题。 |
| toolName |
string |
生成该引用的MCP服务器工具名称。 |
| type |
string:
mcp |
引用的类型。 |
KnowledgeBaseMessage
自然语言消息样式对象。
| 名称 | 类型 | 说明 |
|---|---|---|
| content | KnowledgeBaseMessageContent[]: |
消息的内容。 |
| role |
string |
工具响应的作用。 |
KnowledgeBaseMessageContentType
消息内容的类型。
| 值 | 说明 |
|---|---|
| text |
短信内容类型。 |
| image |
图像消息内容类型。 |
KnowledgeBaseMessageImageContent
图像消息类型。
| 名称 | 类型 | 说明 |
|---|---|---|
| image |
图片内容。 |
|
| type |
string:
image |
消息的类型 |
KnowledgeBaseMessageTextContent
短信类型。
| 名称 | 类型 | 说明 |
|---|---|---|
| text |
string |
文本内容。 |
| type |
string:
text |
消息的类型 |
KnowledgeBaseModelAnswerSynthesisActivityRecord
表示 LLM 答案合成活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| inputTokens |
integer (int32) |
LLM 答案合成活动的输入令牌数。 |
| modelName |
string |
用于LLM答案综合活动的模型名称。 |
| outputTokens |
integer (int32) |
LLM 答案合成活动的输出令牌数。 |
| type |
string:
model |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseModelQueryPlanningActivityRecord
表示 LLM 查询计划活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| inputTokens |
integer (int32) |
LLM 查询规划活动的输入标记数。 |
| modelName |
string |
用于LLM查询规划活动的模型名称。 |
| outputTokens |
integer (int32) |
LLM 查询规划活动的输出令牌数。 |
| type |
string:
model |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseModelWebSummarizationActivityRecord
表示一个大型语言模型(LLM)网络摘要活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| inputTokens |
integer (int32) |
LLM网络摘要活动的输入标记数量。 |
| modelName |
string |
用于LLM网页摘要活动的模型名称。 |
| outputTokens |
integer (int32) |
LLM网络摘要活动的输出令牌数量。 |
| type |
string:
model |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseReferenceType
引用的类型。
| 值 | 说明 |
|---|---|
| searchIndex |
搜索索引文档参考。 |
| azureBlob |
Azure Blob document reference. |
| indexedSharePoint |
索引化的SharePoint文档引用。 |
| indexedOneLake |
索引 OneLake 文档参考。 |
| web |
网页文档引用。 |
| remoteSharePoint |
远程SharePoint文档参考。 |
| workIQ |
工作智商文档参考。 |
| fabricDataAgent |
Fabric 数据代理文档引用。 |
| fabricOntology |
Fabric 本体论文档参考。 |
| mcpServer |
MCP 服务器文档参考。 |
| file |
文件文档参考。 |
| indexedSql |
索引SQL文档引用。 |
KnowledgeBaseRemoteSharePointActivityArguments
表示远程 SharePoint 检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| filterExpressionAddOn |
string |
检索活动的过滤器表达式插件。 |
| search |
string |
用于查询远程SharePoint知识源的搜索字符串。 |
KnowledgeBaseRemoteSharePointActivityRecord
表示远程 SharePoint 检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| remoteSharePointArguments |
远程 SharePoint 参数用于检索活动。 |
|
| type |
string:
remote |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseRemoteSharePointReference
表示远程 SharePoint 文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| searchSensitivityLabelInfo |
参考的敏感性标签信息。 |
|
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
remote |
引用的类型。 |
| webUrl |
string (uri) |
引用数据的来源 URL。 |
KnowledgeBaseRetrievalRequest
检索请求的输入协定。
| 名称 | 类型 | 说明 |
|---|---|---|
| includeActivity |
boolean |
指示检索结果应包括活动信息。 |
| intents | KnowledgeRetrievalIntent[]: |
无需模型查询规划即可执行的预期查询列表。 |
| knowledgeSourceParams |
KnowledgeSourceParams[]:
|
知识源的运行时参数列表。 |
| maxOutputDocuments |
integer (int32) |
限制输出中最大文档数量。 |
| maxOutputSize |
integer (int32) |
限制输出中内容的最大大小。 |
| maxOutputSizeInTokens |
integer (int32) |
限制输出中内容的最大大小。 |
| maxRuntimeInSeconds |
integer (int32) |
最大运行时间(以秒为单位)。 |
| messages |
聊天消息样式输入的列表。 |
|
| outputMode |
此检索的输出配置。 |
|
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
检索推理努力配置。 |
KnowledgeBaseRetrievalResponse
检索响应的输出协定。
KnowledgeBaseSearchIndexActivityArguments
表示运行搜索索引检索活动时使用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| filter |
string |
筛选器字符串。 |
| search |
string |
用于查询搜索索引的搜索字符串。 |
| searchFields |
搜索了哪些字段。 |
|
| semanticConfigurationName |
string |
搜索索引中使用了什么语义配置? |
| sourceDataFields |
搜索时选择了哪些字段。 |
KnowledgeBaseSearchIndexActivityRecord
表示搜索索引检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| searchIndexArguments |
检索活动的搜索索引参数。 |
|
| type |
string:
search |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
KnowledgeBaseSearchIndexReference
表示 Azure 搜索文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| docKey |
string |
引用的文档密钥。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| searchSensitivityLabelInfo |
参考的敏感性标签信息。 |
|
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
search |
引用的类型。 |
KnowledgeBaseWebActivityArguments
表示网页检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
返回的网页结果数量。 |
| freshness |
string |
取回活动的新鲜度。 |
| language |
string |
检索活动的语言。 |
| market |
string |
回收活动的市场。 |
| search |
string |
用于查询网络的搜索字符串。 |
KnowledgeBaseWebActivityRecord
表示网络检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
web |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
| webArguments |
网络论证支持检索活动。 |
KnowledgeBaseWebReference
表示 Web 文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| title |
string |
Web 文档的标题。 |
| type |
string:
web |
引用的类型。 |
| url |
string (uri) |
引用数据的来源 URL。 |
KnowledgeBaseWorkIQActivityArguments
表示WorkIQ检索活动所用的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
用于查询 WorkIQ 知识源的搜索字符串。 |
KnowledgeBaseWorkIQActivityRecord
表示WorkIQ检索活动记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| count |
integer (int32) |
检索到的足够相关以通过重新排序阈值的文档计数。 |
| elapsedMs |
integer (int32) |
检索活动的经过时间(以毫秒为单位)。 |
| error |
解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。 |
|
| id |
integer (int32) |
活动记录的 ID。 |
| imageServing |
关于该检索活动图像服务的统计数据 |
|
| knowledgeSourceName |
string |
检索活动的知识源。 |
| queryTime |
string (date-time) |
此检索活动的查询时间。 |
| type |
string:
workIQ |
作业记录的类型。 |
| warning |
string |
警告信息显示活动中可能出现的配置问题,如因分数阈值、令牌限制截断或超时条件导致文档丢弃。 |
| workIQArguments |
WorkIQ关于检索活动的论证。 |
KnowledgeBaseWorkIQReference
表示 WorkIQ 文档引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| activitySource |
integer (int32) |
引用的源活动 ID。 |
| attributions |
参考文献的署名。 |
|
| id |
string |
引用的 ID。 |
| rerankerScore |
number (float) |
文档引用的重新排序器分数。 |
| sourceData |
参考文献的来源数据。 |
|
| type |
string:
workIQ |
引用的类型。 |
KnowledgeRetrievalIntentType
要使用的知识库配置类型。
| 值 | 说明 |
|---|---|
| semantic |
自然语言语义查询意向。 |
KnowledgeRetrievalLowReasoningEffort
以较低的推理工作量运行知识检索。
| 名称 | 类型 | 说明 |
|---|---|---|
| kind |
string:
low |
那种推理努力。 |
KnowledgeRetrievalMediumReasoningEffort
以中等推理工作量运行知识检索。
| 名称 | 类型 | 说明 |
|---|---|---|
| kind |
string:
medium |
那种推理努力。 |
KnowledgeRetrievalMinimalReasoningEffort
以最少的推理工作运行知识检索。
| 名称 | 类型 | 说明 |
|---|---|---|
| kind |
string:
minimal |
那种推理努力。 |
KnowledgeRetrievalOutputMode
此检索的输出配置。
| 值 | 说明 |
|---|---|
| extractiveData |
直接从知识源返回数据,无需生成更改。 |
| answerSynthesis |
合成响应有效负载的答案。 |
KnowledgeRetrievalReasoningEffortKind
检索期间要使用的工作量。
| 值 | 说明 |
|---|---|
| minimal |
不执行任何源选择、查询规划或迭代搜索。 |
| low |
在检索过程中使用低推理。 |
| medium |
在检索过程中使用适量的推理。 |
KnowledgeRetrievalSemanticIntent
语义查询意图。
| 名称 | 类型 | 说明 |
|---|---|---|
| search |
string |
要执行的语义查询 |
| type |
string:
semantic |
意向的类型。 |
KnowledgeSourceKind
知识来源的那种。
| 值 | 说明 |
|---|---|
| searchIndex |
从搜索索引中读取数据的知识源。 |
| azureBlob |
用于读取数据并将其从 Azure Blob 存储引入搜索索引的知识源。 |
| indexedSharePoint |
一个读取索引 SharePoint 数据的知识源。 |
| indexedOneLake |
一个读取索引 OneLake 数据的知识源。 |
| indexedSql |
一个知识源,可以从Azure SQL 数据库或SQL 托管实例获取数据到搜索索引。 |
| web |
一个从网络读取数据的知识源。 |
| remoteSharePoint |
一个读取远程SharePoint数据的知识源。 |
| workIQ |
一个读取工作智商数据的知识源 |
| file |
一个支持直接文件上传和索引的知识源。 |
| mcpServer |
一个由MCP(模型上下文协议)服务器支持的知识源。 |
| fabricDataAgent |
一个从Fabric数据代理获取数据的知识源。 |
| fabricOntology |
一个从Microsoft Fabric本体中提取数据的知识源。 |
McpServerKnowledgeSourceParams
指定MCP服务器知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
mcp |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
PurviewSensitivityLabelInfo
关于应用到文档上的敏感性标签的信息
| 名称 | 类型 | 说明 |
|---|---|---|
| color |
string |
UI 应为标签显示的颜色(如果已配置)。 |
| displayName |
string |
敏感度标签的显示名称。 |
| isEncrypted |
boolean |
指示敏感度标签是否强制加密。 |
| priority |
integer (int32) |
应用敏感度标签的优先级。 |
| sensitivityLabelId |
string |
敏感度标签的 ID。 |
| toolTip |
string |
应在 UI 中为标签显示的工具提示。 |
RemoteSharePointKnowledgeSourceParams
指定远程 SharePoint 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| filterExpressionAddOn |
string |
应用于 SharePoint 数据源的筛选条件。 必须在关键字查询语言语法中指定它。 它将与知识源定义中指定的筛选器表达式结合使用。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
remote |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
SearchIndexFieldReference
搜索索引字段参考。
| 名称 | 类型 | 说明 |
|---|---|---|
| name |
string |
字段的名称。 |
SearchIndexKnowledgeSourceParams
指定搜索索引知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| filterAddOn |
string |
应用于索引的筛选条件(例如,“State eq VA”)。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
search |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
WebKnowledgeSourceParams
指定 Web 知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| count |
integer (int32) |
要返回的 Web 结果数。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| freshness |
string |
网络结果的新鲜度。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
web |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| language |
string |
网络结果的语言。 |
| market |
string |
网络结果的市场。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |
WorkIQAttribution
WorkIQ参考文献的署名信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| seeMoreWebUrl |
string (uri) |
属性的 URL。 |
WorkIQKnowledgeSourceParams
指定WorkIQ知识源的运行时参数
| 名称 | 类型 | 说明 |
|---|---|---|
| alwaysQuerySource |
boolean |
指示此知识源应绕过源选择,并始终在检索时进行查询。 |
| enableImageServing |
boolean |
指示在检索时是否应启用该知识源的图像服务。 当为真时,在导入过程中提取的图像会传递给下游模型。 |
| failOnError |
boolean |
表示如果从该知识源的检索遇到错误,整个检索请求应当失败。 默认值为 false。 |
| includeReferenceSourceData |
boolean |
指示引用是否应在其有效负载中包含检索期间获得的结构化数据。 |
| includeReferences |
boolean |
指示是否应为从此源检索的数据包含引用。 |
| kind |
string:
workIQ |
知识源的类型。 |
| knowledgeSourceName |
string |
参数应用到的索引的名称。 |
| maxOutputDocuments |
integer (int32) |
限制从该知识源返回的最大文档数量。 |
| rerankerThreshold |
number (float) |
所有检索到的文档必须满足重新排序器阈值才能包含在响应中。 |